IBM customized ESXi upgrade from 5.0U1 to 5.0U2 fails - IBM BladeCenter and System x



Source

RETAIN tip: H207770

Symptom

The upgrade fails when using a CD ISO for a customized VMware ESXi image from version 5.0u1 Build ID: 623860 to 5.0u2 Build ID: 914586.

Users may encounter the following error during the upgrade process:

  Vib merge error:

Error (see log for more info): Could not obtain module order from esximage.db : Cannot merge VIBs IBM_bootbank_ibmcustomization_2.8-3, ibm_bootbank_ibmcustomization_2.8-3 with unequal payloads attributes

Affected configurations

The system is configured with at least one of the following:

  • VMware vSphere Hypervisor 5.0 with IBM Customization Installable, Update 1

This tip is not system specific.

This tip is not option specific.

Note: This does not imply that the network operating system will work under all combinations of hardware and software.

Please see the compatibility page for more information:

Solution

Prior to upgrading, users can avoid this error by following the steps listed here:

  1. Remove the 'ibmcustomization' provider by running the following command:
      esxcli software vib remove -n IBMcustomization
  2. Start upgrading.

Workaround

Perform a fresh installation of 5.0u2 following this procedure:

  1. Mount the ISO file.
  2. Start from the ISO file.
  3. Select the Install option, which will overwrite the current installation, after partition checking.

Additional information

This error is because the 'ibmcustomization' vSphere Installation Bundle (VIB) version number is not updated correctly.

Applicable countries and regions

 


Document id:  MIGR-5092717
Last modified:  2013-05-30
Copyright © 2014 IBM Corporation